=head1 NAME

Gtk2::OptionMenu

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::OptionMenu



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::GtkActivatable
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 DEPRECATION WARNING

Gtk2::OptionMenu has been marked as deprecated, and should not be used in newly written code.

You should use L<Gtk2::ComboBox> instead of Gtk2::OptionMenu.


=cut


=head1 METHODS

=head2 widget = Gtk2::OptionMenu-E<gt>B<new> 

=head2 integer = $option_menu-E<gt>B<get_history> 

=head2 $option_menu-E<gt>B<set_history> ($index)

=over

=item * $index (integer) 

=back

=head2 widget = $option_menu-E<gt>B<get_menu> 

=head2 $option_menu-E<gt>B<set_menu> ($menu)

=over

=item * $menu (Gtk2::Widget) 

=back

=head2 $option_menu-E<gt>B<remove_menu> 



=cut


=head1 PROPERTIES

=over

=item 'menu' (Gtk2::Menu : readable / writable / private)

The menu of options

=back



=cut


=head1 SIGNALS

=over

=item B<changed> (Gtk2::OptionMenu)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

